# Class CertificateExpiredException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
java.security.cert.CertificateException
java.security.cert.CertificateExpiredException

All Implemented Interfaces:
  `Serializable`

public class CertificateExpiredException extends CertificateException
Certificate Expired Exception. This is thrown whenever the current `Date` or the specified `Date` is after the `notAfter` date/time specified in the validity period of the certificate.

Since:
  1.2
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CertificateExpiredException()`
Constructs a CertificateExpiredException with no detail message.
`CertificateExpiredException(String message)`
Constructs a CertificateExpiredException with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CertificateExpiredException

public CertificateExpiredException()
Constructs a CertificateExpiredException with no detail message. A detail message is a String that describes this particular exception.

### CertificateExpiredException

public CertificateExpiredException(String message)
Constructs a CertificateExpiredException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `message` - the detail message.